API Reference

List direct debits

GET/direct_debits

Query Parameters

offsetinteger (int32)(optional)· Defaults to 1

Page number to return

limitinteger (int32)(optional)· Defaults to 10

Max number of results to return

fromstring (date)(optional)

Lower bound for the time at which the direct debit was created

tostring (date)(optional)

Upper bound for the time at which the direct debit was created

Request

curl
curl 'https://gateway.pmnts-sandbox.io/v1.0/direct_debits?limit=2&offset=1' -u TEST:TEST

Response

200Result
json
{
  "successful": true,
  "response": [
  {
    "id": "071-DD-RDOR6I3K",
    "amount": 10,
    "bsb": "083-832",
    "account_number": "181843123",
    "account_name": "James Smith",
    "description": "test",
    "reference": "RMT1636366033",
    "date": "2018-09-21",
    "process_date": null,
    "status": "New",
    "result": null,
    "metadata": null
  },
  {
    "id": "071-DD-ULX5DGSW",
    "amount": 10,
    "bsb": "083-832",
    "account_number": "181843123",
    "account_name": "James Smith",
    "description": "test",
    "reference": "RMT1636366032",
    "date": "2018-09-14",
    "process_date": null,
    "status": "New",
    "result": null,
    "metadata": null
  }
  ],
  "errors": [],
  "test": true,
  "records": 2,
  "total_records": 16582,
  "page": 1,
  "total_pages": 8291
}